Bug 1351438 - Patch to build with $RPM_OPT_FLAGS
Summary: Patch to build with $RPM_OPT_FLAGS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qgit
Version: rawhide
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2016-06-30 05:51 UTC by Ville Skyttä
Modified: 2016-07-18 18:49 UTC (History)
1 user (show)

Fixed In Version: qgit-2.6-2.fc24 qgit-2.6-2.fc23 qgit-2.6-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 04:58:38 UTC


Attachments (Terms of Use)
Patch to build with $RPM_OPT_FLAGS (2.33 KB, patch)
2016-06-30 05:51 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2016-06-30 05:51:03 UTC
qgit-2.6-1 is not built with $RPM_OPT_FLAGS:
https://kojipkgs.fedoraproject.org//packages/qgit/2.6/1.fc25/data/logs/x86_64/build.log

'git am'able fix attached, let me know if you'd like me to push and
build this for devel. Upstream seems to have moved on with other
changes to the cmake build (hopefully fixing this issue while at it)
so this is not applicable there.

Comment 1 Ville Skyttä 2016-06-30 05:51:05 UTC
Created attachment 1174335 [details]
Patch to build with $RPM_OPT_FLAGS

Comment 2 Fedora Update System 2016-06-30 07:00:00 UTC
qgit-2.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa833b24e8

Comment 3 Fedora Update System 2016-06-30 07:00:16 UTC
qgit-2.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1047d82428

Comment 4 Fedora Update System 2016-06-30 07:00:27 UTC
qgit-2.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3ec4cf195

Comment 5 Fedora Update System 2016-06-30 22:18:27 UTC
qgit-2.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1047d82428

Comment 6 Fedora Update System 2016-06-30 22:26:09 UTC
qgit-2.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa833b24e8

Comment 7 Fedora Update System 2016-06-30 22:54:21 UTC
qgit-2.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3ec4cf195

Comment 8 Fedora Update System 2016-07-05 04:58:34 UTC
qgit-2.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-07-09 23:52:28 UTC
qgit-2.6-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-07-18 18:49:19 UTC
qgit-2.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.